import { userStore } from 'routes/UserStore.svelte';

const API = "http://localhost:8000";

export async function get(url: string) {
	const headers = new Headers();
	//headers.append('content-type', 'application/json');
    if (userStore.user) {
        headers.append('token', userStore.user.token);
    }

	let r = await fetch(`${API}/${url}`, {
		method: 'GET',
		headers: headers,
	});

    if (r.status !== 200) {
        throw r;
    }

    return r.json();
}

export async function post(url: string, body: any) {
	const headers = new Headers();
	headers.append('content-type', 'application/json');
    if (userStore.user) {
        headers.append('token', userStore.user.token);
    }

	let r = await fetch(`${API}/${url}`, {
		method: 'POST',
		headers: headers,
        body: JSON.stringify(body),
	});

    if (r.status !== 200) {
        throw r;
    }

    return r.json();
}
